$! Script interface to analog program, place this file in the [.bin]
$! directory and analog.exe in  www_system (avoids mischief caused by
$! users trying to run /htbin/analog.exe
$!
$ crlf = f$fao("!/")
$ net_write = "write net_link"
$ net_write "<DNETRECMODE>"
$ cgi_symbols www_ form_
$ if www_request_method .eqs. "GET" .or. www_request_method .eqs. "HEAD"
$ then
$!    send back form.
$!
$     create net_link:
Content-type: text/html

<HTML><HEAD><TITLE>Analog form</TITLE></HEAD><BODY>
<H2>Analog log analysis program</H2>
<FORM method="POST" action="analog.com">
Default option: <select name="defopt"><option selected>  brief
<option> full<option> custom</select><P>
<DL><DT>Custom settings</DT><DD>
<input type="checkbox" name="sevenday">Include 7-day stats<BR>
<input type="checkbox" name="hourly">Show hourly summary<BR>
<input type="checkbox" name="daily">Show daily summary<BR>
<input type="checkbox" name="day">Show daily report<BR>
<input type="checkbox" name="weekly">Show week report<BR>
<input type="checkbox" name="monthly">Show month report<BR>
<input type="checkbox" name="directory">Show directory report<BR>
<input type="checkbox" name="request">Show request report<BR>
</DD></DL>
<input type="submit" value=" analyze ">  <input type="reset" value = " clear ">
</FORM> 
<HR>
</BODY></HTML>
$   exit
$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
$ else
$    !
$    ! Interpret submitted fields.
$    !
$    show symbol form*
$    opt_list = "+""Onet_link:"""
$    if f$type(form_fld_defopt) .eqs. "" then form_fld_defopt = "custom"
$    def_opt = " ""-A"""
$    if form_fld_defopt .eqs. "full" then def_opt = " ""+A"""
$    if form_fld_defopt .eqs. "brief" then -
	def_opt = " ""-A"" "
$    opt_list = opt_list + def_opt
$    if def_opt .nes. " ""-A""" then goto analyze_log
$!
$    if f$type(form_fld_sevenday) .nes. ""
$    then
$         if form_fld_sevenday .eqs. "on" then opt_list = opt_list + " +7"
$         if form_fld_sevenday .nes. "on" then opt_list = opt_list + " +7"
$    else
$         opt_list = opt_list + " -7"
$    endif
$!
$    if f$type(form_fld_monthly) .nes. ""
$    then
$         if form_fld_monthly .eqs. "on" then opt_list = opt_list + " +m"
$         if form_fld_monthly .nes. "on" then opt_list = opt_list + " -m"
$    else
$         opt_list = opt_list + " -m"
$    endif
$!
$    if f$type(form_fld_hourly) .nes. ""
$    then
$         if form_fld_hourly .eqs. "on" then opt_list = opt_list + " +h"
$         if form_fld_hourly .nes. "on" then opt_list = opt_list + " -h"
$    else
$         opt_list = opt_list + " -h"
$    endif
$!
$    if f$type(form_fld_weekly) .nes. ""
$    then
$         if form_fld_weekly .eqs. "on" then opt_list = opt_list + " ""+W"""
$         if form_fld_weekly .nes. "on" then opt_list = opt_list + " ""-W"""
$    else
$         opt_list = opt_list + " ""-W"""
$    endif
$!
$    if f$type(form_fld_daily) .nes. ""
$    then
$         if form_fld_daily .eqs. "on" then opt_list = opt_list + " +d"
$         if form_fld_daily .nes. "on" then opt_list = opt_list + " -d"
$    else
$         opt_list = opt_list + " -d"
$    endif
$!
$    if f$type(form_fld_day) .nes. ""
$    then
$         if form_fld_day .eqs. "on" then opt_list = opt_list + " ""+D"""
$         if form_fld_day .nes. "on" then opt_list = opt_list + " ""-D"""
$    else
$         opt_list = opt_list + " ""-D"""
$    endif
$!
$    if f$type(form_fld_directory) .nes. ""
$    then
$         if form_fld_directory .eqs. "on" then opt_list = opt_list + " +i""
$         if form_fld_directory .nes. "on" then opt_list = opt_list + " -i"
$    else
$         opt_list = opt_list + " -i"
$    endif
$!
$    if f$type(form_fld_request) .nes. ""
$    then
$         if form_fld_request .eqs. "on" then opt_list = opt_list + " +r"
$         if form_fld_request .nes. "on" then opt_list = opt_list + " -r"
$    else
$         opt_list = opt_list + " -r"
$    endif
$    !
$    ! make short-term definitions of logicals required by analog.
$    !
$ analyze_log:
$    define/user access_log www_system:access.log
$    define/user analog_domains www_system:domains.tab
$    write net_link "Content-type: text/html",f$fao("!/")
$    mcr www_system:analog.exe 'opt_list'
$ endif
$ exit
